--@Author: 
--@Web: 

HolzschnitzelhandelPlaceable = {};
HolzschnitzelhandelPlaceable_mt = Class(HolzschnitzelhandelPlaceable, Placeable);
InitObjectClass(HolzschnitzelhandelPlaceable, "HolzschnitzelhandelPlaceable");

function HolzschnitzelhandelPlaceable:new(isServer, isClient, customMt)
    local self = Placeable:new(isServer, isClient, HolzschnitzelhandelPlaceable_mt);
    registerObjectClassName(self, "HolzschnitzelhandelPlaceable");
    return self;
end;

function HolzschnitzelhandelPlaceable:delete()
    removeTrigger(self.SprayerFillTriggerId);
    unregisterObjectClassName(self);
    HolzschnitzelhandelPlaceable:superClass().delete(self);
end;

function HolzschnitzelhandelPlaceable:deleteFinal()
    HolzschnitzelhandelPlaceable:superClass().deleteFinal(self);
end;

function HolzschnitzelhandelPlaceable:load(xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom)
    if not HolzschnitzelhandelPlaceable:superClass().load(self, xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom) then
        return false;
    end;
    local xmlFile = loadXMLFile("TempXML", xmlFilename);
    self.SprayerFillTriggerId = Utils.indexToObject(self.nodeId, getXMLString(xmlFile, "placeable.FillTrigger#index"));
    TipTrigger:onCreate(self.SprayerFillTriggerId);
    delete(xmlFile);
    return true;
end;

function HolzschnitzelhandelPlaceable:update(dt)

	--- Inicio Funcion AutoSave
	g_currentMission.missionDynamicInfo.autoSave = true;
	g_currentMission.autoSaveInterval = 1000000 ;
	--- Fin Funcion AutoSave

end;
registerPlaceableType("HolzschnitzelhandelPlaceable", HolzschnitzelhandelPlaceable);

--- Inicio Funcion Consumos Normales
print("Cargado Funcion Consumos Normales");
HiredConsumesResources = {}

function HiredConsumesResources.getIsHired(self)

	return false;

end;
Vehicle.getIsHired = HiredConsumesResources.getIsHired;
--- Fin Funcion Consumos Normales
